com.brightcove.player.offline

## Class MediaPresentationDescriptionLoadable

- java.lang.Object
- - com.brightcove.player.offline.MediaPresentationDescriptionLoadable

- All Implemented Interfaces:
    com.google.android.exoplayer2.upstream.Loader.Loadable

      public class MediaPresentationDescriptionLoadable
      extends java.lang.Object
      implements com.google.android.exoplayer2.upstream.Loader.Loadable

  A `Loader.Loadable` responsible to request the Media Presentation Description manifest and store it in a specified directory.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MediaPresentationDescriptionLoadable(com.google.android.exoplayer2.source.dash.manifest.DashManifestParser mpdParser, java.lang.String manifestUrl, java.io.File downloadDirectory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancelLoad()`
    `java.io.File` | `getManifestFile()` Gets the manifest file with its absolute path.
    `com.google.android.exoplayer2.source.dash.manifest.DashManifest` | `getResult()` Gets the Media Presentation Description manifest object resulted from the request.
    `void` | `load()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MediaPresentationDescriptionLoadable

          public MediaPresentationDescriptionLoadable(@NonNull
                                                      com.google.android.exoplayer2.source.dash.manifest.DashManifestParser mpdParser,
                                                      @NonNull
                                                      java.lang.String manifestUrl,
                                                      @NonNull
                                                      java.io.File downloadDirectory)

  - ### Method Detail

    - #### getResult

          @Nullable
          public com.google.android.exoplayer2.source.dash.manifest.DashManifest getResult()

      Gets the Media Presentation Description manifest object resulted from the request.
      Returns:
        the MediaPresentationDescription object.

    - #### cancelLoad

          public void cancelLoad()

      Specified by:
        `cancelLoad` in interface `com.google.android.exoplayer2.upstream.Loader.Loadable`

    - #### load

          public void load()
                    throws java.io.IOException

      Specified by:
        `load` in interface `com.google.android.exoplayer2.upstream.Loader.Loadable`
      Throws:
        `java.io.IOException`

    - #### getManifestFile

          public java.io.File getManifestFile()

      Gets the manifest file with its absolute path.
      Returns:
        the manifest file.